{% extends "admin/layout.html.twig" %}

{% block content %}
<!-- /.box -->
<div class="box">
	<div class="box-header">
		<h3 class="box-title">Data schemas:</h3>
		<div class="box-tools">
			<div class="input-group margin">
				<div class="input-group-btn">
					<button type="button" class="btn btn-default" disabled="disabled">
						<i class="fa fa-plus"></i> Create
					</button>
				</div>
				<!-- /btn-group -->
				<input type="text" class="form-control">
			</div>
		</div>
	</div>
	<!-- /.box-header -->
	<div class="box-body">
	<hr>
		<table class="table table-bordered table-striped" data-table="true">
			<thead>
				<tr>
					<th>Name</th>
					<th>Title</th>
					<th>Description</th>
					<th>Id</th>
					<th>Url</th>
				</tr>
			</thead>
			<tbody>
				{% for schemaName,schema in schemas %}
				<tr>
					<td><a href="{{ path_for("developer/editSchema", {'name':schemaName}) }}">{{ schemaName|e }}</a></td>
					<td>{{ schema.title|e }}</td>
					<td>{{ schema.description|e }}</td>
					<td>{{ schema.id|e }}</td>
					<td><a href="{{ schema.url|e('html_attr') }}">{{ schema.url|e }}</a></td>
				</tr>
				{% endfor %}
			</tbody>
		</table>
	</div>
	<!-- /.box-body -->
</div>
<!-- /.box -->
{% endblock content %}